Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.ormapping
Class ValueMapping

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
            |
            +--com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
                  |
                  +--com.solarmetric.kodo.impl.jdbc.ormapping.ValueMapping

All Implemented Interfaces:
  LoadPrimary, PrimaryTable, StorePrimary

Direct Known Subclasses:
  StringificationMapping

public class ValueMapping
extends FieldMapping
implements LoadPrimary, StorePrimary, PrimaryTable

Represents a simple FieldMapping of a value to a column of the owning class' primary table.

Fields inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
`COL_INDEX, COL_LENGTH, DATA_COL, EMPTY_COLUMNS`

Fields inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
`_loc, _log, CUSTOM_MAPPING, dict, MAPPING, TABLE`

Constructor Summary
`ValueMapping()`

Method Summary
`void` | `appendIsEmpty(QuerySQLBuffer sql, Joins joins)` Create a where clause to the given statement asking if this value is empty.
`void` | `appendIsNotNull(QuerySQLBuffer sql, Joins joins)` Add a where clause to the given statement asking if this value is not null.
`void` | `appendIsNull(QuerySQLBuffer sql, Joins joins)` Add a where clause to the given statement asking if this value is null.
`protected boolean` | `canMap(FieldMetaData fmd, ClassResolver resolver)` Return true if this mapping type can handle the given field, false otherwise.
`void` | `delete(Delete del, StateManagerImpl sm, int field)` Delete the field from the primary table for this mapping.
`Column[]` | `getColumns()` Return all columns of the primary table used only by this mapping.
`Column[]` | `getKeyColumns()` Return the key columns of the mapping.
`void` | `insert(Insert insert, StateManagerImpl sm, int field)` Insert the given field into the primary table for this mapping.
`protected void` | `install(FieldMetaData fmd, JDBCConfiguration conf, ClassResolver resolver, DBDictionary dict)` Setup this FieldMapping using the given metadata.
`void` | `join(Joins joins, PersistenceManagerImpl pm)` Join this value to the class table.
`void` | `joinKey(Joins joins, PersistenceManagerImpl pm)` Join the key value to the class table.
`void` | `joinKeyRelation(Joins joins, PersistenceManagerImpl pm)` Join this value's table to the table for the related first class object key type, if any.
`void` | `joinRelation(Joins joins, PersistenceManagerImpl pm)` Join this value's table to the table for the related first class object type, if any.
`void` | `load(StateManagerImpl sm, int field, ResultSet rs, int index)` Load the value of this mapping from the ResultSet produced by the Select passed to the `select(com.solarmetric.kodo.impl.jdbc.sql.Select)` method.
`void` | `select(QuerySelect sel)` Select this mapping.
`void` | `select(Select sel)` Select the value of this mapping.
`void` | `update(Update update, StateManagerImpl sm, int field)` Update the given field into the primary table for this mapping.

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
`addColumn, addPKColumns, compareToNull, getDataColumns, getDataStoreValue, getInstance, getInstance, getKeyDataStoreValue, getMetaData, join, setDataColumns`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
`checkExtension, createMapping, createMapping, createMappings, createMappings, getClassName, getConfiguration, getDictionary, getFieldMapping, getInstance, getTable, install`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueMapping

    public ValueMapping()

Method Detail

### select

    public void select(Select sel)

  Description copied from interface: `LoadPrimary`
  Select the value of this mapping.
  Specified by:
    `select` in interface `LoadPrimary`

### load

    public void load(StateManagerImpl sm,
                     int field,
                     ResultSet rs,
                     int index)
              throws SQLException

  Description copied from interface: `LoadPrimary`
  Load the value of this mapping from the ResultSet produced by the Select passed to the `LoadPrimary.select(com.solarmetric.kodo.impl.jdbc.sql.Select)` method.
  Specified by:
    `load` in interface `LoadPrimary`

### insert

    public void insert(Insert insert,
                       StateManagerImpl sm,
                       int field)
                throws SQLException

  Description copied from interface: `StorePrimary`
  Insert the given field into the primary table for this mapping.
  Specified by:
    `insert` in interface `StorePrimary`

### update

    public void update(Update update,
                       StateManagerImpl sm,
                       int field)
                throws SQLException

  Description copied from interface: `StorePrimary`
  Update the given field into the primary table for this mapping.
  Specified by:
    `update` in interface `StorePrimary`

### delete

    public void delete(Delete del,
                       StateManagerImpl sm,
                       int field)
                throws SQLException

  Description copied from interface: `StorePrimary`
  Delete the field from the primary table for this mapping.
  Specified by:
    `delete` in interface `StorePrimary`

### canMap

    protected boolean canMap(FieldMetaData fmd,
                             ClassResolver resolver)

  Description copied from class: `FieldMapping`
  Return true if this mapping type can handle the given field, false otherwise. Note that this method cannot rely on the existance of other Mappings, as it is used in bootstrapping.
  Overrides:
    `canMap` in class `FieldMapping`

### install

    protected void install(FieldMetaData fmd,
                           JDBCConfiguration conf,
                           ClassResolver resolver,
                           DBDictionary dict)

  Description copied from class: `FieldMapping`
  Setup this FieldMapping using the given metadata. Note that this method cannot rely on the existance of other Mappings, as it it is used in bootstrapping. This base implementation installs the proper extensions onto the metadata only; subclasses must override to properly map the type.
  Overrides:
    `install` in class `FieldMapping`

### getColumns

    public Column[] getColumns()

  Description copied from interface: `PrimaryTable`
  Return all columns of the primary table used only by this mapping.
  Specified by:
    `getColumns` in interface `PrimaryTable`

### select

    public void select(QuerySelect sel)

  Description copied from class: `FieldMapping`
  Select this mapping.
  Overrides:
    `select` in class `FieldMapping`

### getKeyColumns

    public Column[] getKeyColumns()

  Description copied from class: `FieldMapping`
  Return the key columns of the mapping.
  Overrides:
    `getKeyColumns` in class `FieldMapping`

### appendIsEmpty

    public void appendIsEmpty(QuerySQLBuffer sql,
                              Joins joins)

  Description copied from class: `FieldMapping`
  Create a where clause to the given statement asking if this value is empty.
  Overrides:
    `appendIsEmpty` in class `FieldMapping`

### appendIsNull

    public void appendIsNull(QuerySQLBuffer sql,
                             Joins joins)

  Description copied from class: `FieldMapping`
  Add a where clause to the given statement asking if this value is null.
  Overrides:
    `appendIsNull` in class `FieldMapping`

### appendIsNotNull

    public void appendIsNotNull(QuerySQLBuffer sql,
                                Joins joins)

  Description copied from class: `FieldMapping`
  Add a where clause to the given statement asking if this value is not null.
  Overrides:
    `appendIsNotNull` in class `FieldMapping`

### join

    public void join(Joins joins,
                     PersistenceManagerImpl pm)

  Description copied from class: `FieldMapping`
  Join this value to the class table.
  Overrides:
    `join` in class `FieldMapping`

### joinKey

    public void joinKey(Joins joins,
                        PersistenceManagerImpl pm)

  Description copied from class: `FieldMapping`
  Join the key value to the class table.
  Overrides:
    `joinKey` in class `FieldMapping`

### joinRelation

    public void joinRelation(Joins joins,
                             PersistenceManagerImpl pm)

  Description copied from class: `FieldMapping`
  Join this value's table to the table for the related first class object type, if any.
  Overrides:
    `joinRelation` in class `FieldMapping`

### joinKeyRelation

    public void joinKeyRelation(Joins joins,
                                PersistenceManagerImpl pm)

  Description copied from class: `FieldMapping`
  Join this value's table to the table for the related first class object key type, if any.
  Overrides:
    `joinKeyRelation` in class `FieldMapping`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.